Collator::getAttribute
Collator::getErrorMessage
Collator
PHP Manual

# Collator::getErrorCode

# collator_get_error_code

(PHP 5 >= 5.3.0, PECL intl >= 1.0.0)

Collator::getErrorCode -- collator_get_error_code — Get collator's last error code

### Description

Object oriented style

public int Collator::getErrorCode ( void )

Procedural style

int collator_get_error_code ( Collator `$coll` )

### Parameters

`coll`

  Collator object.

### Return Values

Error code returned by the last Collator API function call.

### Examples

Example #1 collator_get_error_code() example

`<?php
$coll = collator_create( 'en_US' );
if( collator_get_attribute( $coll, Collator::FRENCH_COLLATION ) === false )
handle_error( collator_get_error_code() );
?>`

### See Also

- collator_get_error_message() - Get text for collator's last error code

Collator::getAttribute
Collator::getErrorMessage
Collator
PHP Manual